MS09-018: Vulnerabilities in Active Directory Could Allow Remote Code Execution (971055)

This script is Copyright (C) 2009-2013 Tenable Network Security, Inc.


Synopsis :

Arbitrary code can be executed on the remote host through Microsoft
Active Directory.

Description :

The version of Microsoft Active Directory / Active Directory
Application Mode installed on the remote host is affected by one or both
of the following vulnerabilities :

- A flaw involving the way memory is freed when handling
specially crafted LDAP or LDAPS requests may enable a
remote attacker to execute arbitrary code on the remote
host with administrator privileges. Note that this is
only known to affect Active Directory on Microsoft
Windows 2000 Server Service Pack 4. (CVE-2009-1138)

- Improper memory management during execution of certain
types of LDAP or LDAPS requests may cause the affected
product to stop responding. (CVE-2009-1139)

See also :

http://technet.microsoft.com/en-us/security/bulletin/MS09-018

Solution :

Microsoft has released a set of patches for Windows 2000, Windows XP
and Windows 2003.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 7.4
(CVSS2#E:U/RL:OF/RC:C)
Public Exploit Available : false

Family: Windows : Microsoft Bulletins

Nessus Plugin ID: 39340 ()

Bugtraq ID: 35225
35226

CVE ID: CVE-2009-1138
CVE-2009-1139